org.apache.mina.codec

## Interface StatelessProtocolEncoder<INPUT,OUTPUT>

Type Parameters:
  `INPUT` - the incoming message to encode (your high level protocol Pojo/DTO)
  `OUTPUT` - the encoded message (the low level message, usually a `ByteBuffer`)

All Superinterfaces:
  ProtocolEncoder<INPUT,OUTPUT,Void>

All Known Implementing Classes:
  ByteBufferEncoder, CoapEncoder, HttpServerEncoder, JavaNativeMessageEncoder, ProtobufEncoder, ProtobufMessageEncoder, SizePrefixedEncoder, TextLineEncoder, ThriftEncoder, ThriftMessageEncoder

    public interface StatelessProtocolEncoder<INPUT,OUTPUT>
    extends ProtocolEncoder<INPUT,OUTPUT,Void>

A state less `ProtocolEncoder` : no context stored for the different sessions.

Author:
  Apache MINA Project

### Method Summary

### Methods inherited from interface org.apache.mina.codec.ProtocolEncoder

`createEncoderState, encode`